Bug 214236 - (php-pear-SOAP) Review Request: php-pear-SOAP - Simple Object Access Protocol (SOAP) Client/Server for PHP
Review Request: php-pear-SOAP - Simple Object Access Protocol (SOAP) Client/S...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Stone
Fedora Package Reviews List
Depends On: pear-HTTP-Request pear-Net-DIME
Blocks: FE-ACCEPT pear-Svcs-Weather
  Show dependency treegraph
Reported: 2006-11-06 13:42 EST by Remi Collet
Modified: 2008-12-01 16:55 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-18 02:28:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2006-11-06 13:42:55 EST
Spec URL: http://remi.collet.free.fr/rpms/extras/php-pear-SOAP.spec
SRPM URL: http://remi.collet.free.fr/rpms/extras/php-pear-SOAP-0.9.4-1.fc6.src.rpm
Mock Log: http://remi.collet.free.fr/rpms/extras/php-pear-SOAP-build.log
Implementation of Simple Object Access Protocol (SOAP) protocol and services
Comment 1 Christopher Stone 2006-11-15 19:03:17 EST
- rpmlint output clean
- package named according to package naming guidelines
- spec filename matches %{name}
- package meet packaging guidelines
- package licensed with open source compatible license
- license matches actual license
- license file included in %doc
- spec written in American english
- spec legible
- source match upstream
87a26a8abc3ca75fdbe5d307e26102fa  SOAP-0.9.4.tgz
- successfully compiles and builds on FC6 x86_64
- all build dependencies listed in BR
- no locales
- no shared libraries
- package is not relocatable
- package owns all directories it creates
- no duplicates in %files
- file permissions set properly
- contains proper %clean
- macro usage is consistent
- package contains code
- no large documentation
- %doc does not affect runtime
- no header files or static libraries
- no pkgconfig files
- no need for devel subpackage
- no .la files
- not a GUI app needing a .desktop file
- package does not own files or directories owned by other packages

Comment 2 Remi Collet 2008-12-01 11:12:08 EST
Package Change Request
Package Name: php-pear-SOAP
New Branches: EL-5
Owners: remi
Comment 3 Kevin Fenzi 2008-12-01 16:55:54 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.